#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	AI
%define		pnam	DecisionTree
%include	/usr/lib/rpm/macros.perl
Summary:	AI::DecisionTree - automatically learns decision trees
Summary(pl.UTF-8):	AI::DecisionTree - automatyczne uczenie drzew decyzyjnych
Name:		perl-AI-DecisionTree
Version:	0.11
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ab18666204a5363ced7f6a2eafd9da7f
URL:		http://search.cpan.org/dist/AI-DecisionTree/
%{?with_tests:BuildRequires:	perl-GraphViz}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "AI::DecisionTree" module automatically creates so-called
"decision trees" to explain a set of training data. A decision tree is
a kind of categorizer that use a flowchart-like process for
categorizing new instances. For instance, a learned decision tree
might look like that one in documentation, which classifies for the
concept "play tennis".

%description -l pl.UTF-8
Moduł AI::DecisionTree automatycznie tworzy tak zwane "drzewa
decyzyjne" do objaśniania zbiorów danych uczących. Drzewo decyzyjne to
rodzaj klasyfikatora używającego procesu podobnego do przepływu do
klasyfikacji nowych przypadków. Na przykład, nauczone drzewo decyzyjne
może wyglądać jak to umieszczone w dokumentacji, klasyfikujące dla
pojęcia "gry w tenisa".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/%{pdir}/*.pm
%{perl_vendorarch}/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}/Instance
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/Instance/*.so
%{_mandir}/man3/*
%changelog
* Tue Oct 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-AI-DecisionTree.git;a=log;h=master

* Tue Oct 16 2018 Adam Gołębiowski <adamg@pld-linux.org> 5894259
- license is GPLv1+ or Artistic

* Tue Oct 16 2018 Adam Gołębiowski <adamg@pld-linux.org> c389c7d
- updated to 0.11

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 1eefc82
- rebuild with perl 5.28.0
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3a29be0
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9abf2c4
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ef66924
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 945ee78
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e0718c1
- x32 rebuild
- release 6 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> bbd77f1
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b41c0d4
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4cbc84d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2a56bc9
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8ab8ced
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 988caa7
- release 2

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> ea1d1b2
- updated to 0.09

* Mon Mar 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5248698
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3f09b9c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 12122ae
- converted to UTF-8

* Tue Nov 15 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 743db81
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f175cf5
- formatting

